import request from '@/utils/request'
import {
    BASE
} from './apiGateway'
//居民端-在线报名
//参考材料 https://note.youdao.com/coshare/index.html?token=C66242BC719A493DB9A0B78E230A0287&gid=117741674
var myOrderApi = {
    // 我的订单列表
    patientOrderList(params) {
        return request({
            url: `${BASE}/patient/course/patientOrderList`,
            method: 'GET',
            params: params
        })
    },
  //  我的订单头部数量
  topStatusBarNum(params) {
      return request({
          url: `${BASE}/patient/course/topStatusBarNum`,
          method: 'GET',
          params: params
      })
  },
  //  订单详情
  orderInfo(params) {
      return request({
          url: `${BASE}/patient/course/orderInfo`,
          method: 'GET',
          params: params
      })
  },
  //  取消订单
  cancalOrder(params) {
      return request({
          url: `${BASE}/patient/course/cancalOrder`,
          method: 'GET',
          params: params
      })
  },
  //  招生报名
  enrollment(params) {
      return request({
          url: `${BASE}/patient/course/enrollment`,
          method: 'GET',
          params: params
      })
  },
  
}

export default myOrderApi
